<?php
include_once('./includes.php');


$errorFlag=0;
$errorList = array();


if(isset($_POST['new_password']))
{
	require "gump.class.php";
    require "gump/ArrayHelpers.php";
    require "gump/EnvHelpers.php";

	$validator = new GUMP();

    $is_valid = GUMP::is_valid(array_merge($_POST, $_FILES), [
        'new_password'       => 'required|between_len,5;100',
        'confirm_password'      	 => 'required'
    ]);

	if($is_valid === true)
	{
		$new_password 		= trim($_REQUEST['new_password']);
		$confirm_password 	= trim($_REQUEST['confirm_password']);
		$user 				= trim($_REQUEST['user']);
		if($new_password!=$confirm_password)
		{
			$errorList[] = "Password and confirm password are not matching";
			$errorFlag = 1;
		}
		
		if(isset($_REQUEST['user']) && $_REQUEST['user']!=""  && $_REQUEST['time']!=""  && $_REQUEST['secret']!="")
		{
			if ($_REQUEST["secret"]==hash_hmac("sha1","$_REQUEST[user],$_REQUEST[time]",SECRET_HASH_KEY))
			{
		
			 if(time()-$_REQUEST['time']>86400)
			 {
				$errorList[] = "Link expired";
				$errorFlag = 1;
		
			 }
		
			} 
			else 
			{
				$errorList[] = "Bad secret";
				$errorFlag = 1;
			}
		}
		else
		{
			$errorList[] = "Data missing";
			$errorFlag = 1;
		}
		
		if($errorFlag=='0')
		{
			
			$updateInfo  						= array();
			$updateInfo['user_password']				=  encrypt_customer_password($new_password);
			
			$dbClass->prepareUpdateStatement('users', $updateInfo, 'email_id=?',array($user));
			
			echo "1";
		}
	}
	else
	{
		$errorFlag=1;
		$errorList = $is_valid;
	}
	if($errorFlag=='1')
	{
		include('error.php');
	}
}

?>