<?php
header("Access-Control-Allow-Origin: *");
header('Access-Control-Allow-Methods: POST, GET, DELETE, PUT, PATCH, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token , Authorization');

require_once './includes/config.php'; 
require_once './includes/classes/API.class.php';
require_once './includes/classes/db.class.php';
require_once './includes/classes/webservices.class.php';
require_once('./includes/classes/class.phpmailer.php');
require_once './includes/jwt_utils.php'; 

// Requests from the same server don't have a HTTP_ORIGIN header
if (!array_key_exists('HTTP_ORIGIN', $_SERVER)) {
    $_SERVER['HTTP_ORIGIN'] = $_SERVER['SERVER_NAME'];
}

try {
    $API = new WebService($_REQUEST['request'], $_SERVER['HTTP_ORIGIN']);
    $API->processAPI();
} catch (Exception $e) {
    echo json_encode(Array('error' => $e->getMessage()));
}
?>
