<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require './phpmailer/Exception.php';
require './phpmailer/PHPMailer.php';
require './phpmailer/SMTP.php';

//Create an instance; passing `true` enables exceptions
$mail = new PHPMailer(true);

try {
    //Server settings
    //$mail->SMTPDebug = SMTP::DEBUG_SERVER;                      //Enable verbose debug output
    $mail->isSMTP();                                            //Send using SMTP
    $mail->Host       =$configDetails['smtpHost'];                     //Set the SMTP server to send through
    $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
    $mail->Username   = $configDetails['smtpUser'];                     //SMTP username
    $mail->Password   = $configDetails['smtpPass'];                               //SMTP password
    $mail->SMTPSecure = "tls";            //Enable implicit TLS encryption
    $mail->Port       = $configDetails['smtpPort'];                                    //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`

    //Recipients
    $mail->setFrom($fromEmail,$fromName);
	$mail->addAddress($toEmail, $toName);     //Add a recipient
	$mail->addReplyTo($fromEmail, $fromName);  





    //Content
    $mail->isHTML(true);                                  //Set email format to HTML
    $mail->Subject = stripslashes($subject);
	$mail->Body    = $content;
	//$mail->AltBody = 'This is the body in plain text for non-HTML mail clients';

    if($mail->Send())
	{
		//echo "send";
	}
	else
	{
		$errorFlag=1;
		$errorList[] = "Mail not sent";
	}
} catch (Exception $e) {
    echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
}
?>