<?php
include_once('./includes.php');
?>
<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="html">
    <!-- Chrome, Firefox OS and Opera -->
    <meta name="theme-color" content="#4cb056">
    <!-- Windows Phone -->
    <meta name="msapplication-navbutton-color" content="#4cb056">
    <!-- iOS Safari -->
    <meta name="apple-mobile-web-app-status-bar-style" content="#4cb056">
    <title>PetCrave </title>
    <!-- Styles started -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap"
        rel="stylesheet">

    <style>
        body{
            font-family: 'Poppins', sans-serif;
        }

        *{
            box-sizing: border-box;
        }

        .wrapper {
            min-height: 100vh;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .container {
            padding: 16px;
            width: 100%;
        }

        .login-box {
            padding: 3.5rem 2rem;
            background-color: #fff;
            box-shadow: 1px 2px 24px -1px rgba(0, 0, 0, 0.18);
            -webkit-box-shadow: 1px 2px 24px -1px rgba(0, 0, 0, 0.18);
            -moz-box-shadow: 1px 2px 24px -1px rgba(0, 0, 0, 0.18);
            border-radius: 2rem;
            max-width: 500px;
            width: 100%;
            margin: auto;
        }

        .login-box figure img {
            height: 108px;
        }

        .login-box figure {
            text-align: center;
            margin-bottom: 1rem;
        }

        .form-group {
            margin-bottom: 1.5rem;
        }

        .form-group label {
            display: block;
            color: #6d9570;
            font-weight: 400;
            font-size: 1rem;
            margin-bottom: 0.2rem;
        }

        .form-group input {
            width: 100%;
            height: 50px;
            border: 1px solid #DFDFDF;
            border-radius: 5px;
            padding: 0.6rem 1.2rem;
            outline: 0;
            color: #3E5057;
            font-weight: 700;
            box-sizing: border-box;
        }

        .btn {
            box-shadow: 0px 20px 25px #d5fcd9 !important;
            height: 58px;
            background-color: #4cb056;
            color: #ffffff;
            min-width: 150px;
            height: 52px;
            display: flex;
            align-items: center;
            justify-content: center;            
            color: #ffffff;
            font-weight: 700;
            font-size: 1rem;
            border: none;
            transition: all 0.2s ease;            
            border-radius: 10px;
            width: 100%;
            cursor: pointer;
        }

        .btn:hover,
        .btn:focus,
        .btn:active{
            background-color: #e8cf4d;
            box-shadow: 0px 20px 25px #fff5c2 !important;
        }
    </style>
    <!-- Styles ended -->
</head>

<body>
    <div class="wrapper">
        <div class="container">
            <div class="login-box">
                <figure>
                    <img src="images/logo.png" alt="logo">
                </figure>
                <div style="text-align: center;font-size: 16px;">
Your account has been successfully deleted. Thank you for using our services..</div>
            </div>
        </div>
    </div>

    
</body>

</html>