<?php
include_once('./includes.php');
$currentPage= "Login";

$errorFlag=0;
$errorList = array();

if(isset($_POST['submitlgn']) && $_POST['submitlgn']!="")
{
	require "gump.class.php";
    require "gump/ArrayHelpers.php";
    require "gump/EnvHelpers.php";

    $validator = new GUMP();

    $is_valid = GUMP::is_valid(array_merge($_POST, $_FILES), [
        'password'       => 'required|between_len,5;100',
        'email'      	 => 'required|valid_email'
    ]);
	
	if($is_valid === true)
	{
	
		if($errorFlag=='0')
		{
			$email 				= filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
			$password 			= filter_var($_POST['password'], FILTER_SANITIZE_STRING);
			
			$pass 			= encrypt_customer_password($password);
			$userValid = $common->userLogin($email,$pass);
			if($userValid=='1')
			{
				echo "1";
			}
			else
			{
				 $errorList[] =  "In correct login info";
			  	 $errorFlag = 1;
			}
		}
	}
	else
	{
		$errorFlag=1;
		$errorList = $is_valid;
	}
	if($errorFlag=='1')
	{
		include('error.php');
	}
}
?>